help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Compiling CVS Emacs with X toolkit


From: Giorgos Keramidas
Subject: Re: Compiling CVS Emacs with X toolkit
Date: Fri, 24 Nov 2006 01:02:28 +0200
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/22.0.91 (berkeley-unix)

On 23 Nov 2006 09:22:20 -0800,
"Robert Thorpe" <address@hidden> wrote:
> Giorgos Keramidas wrote:
>> Right... and a few other X11-related libraries.
>>
>>    % address@hidden:/home/keramida$ emacs --batch \
>>    %     --eval '(princ (format "%s\n" (version)))'
>>    % GNU Emacs 22.0.91.2 (i386-unknown-freebsd7.0, X toolkit)
>>    %  of 2006-11-22 on kobe
>>    % address@hidden:/home/keramida$ ldd /opt/emacs/bin/emacs
>>    % /opt/emacs/bin/emacs:
>>      [...]
>
> Wow.  I haven't even heard of some of those libraries.  It looks like
> image support is the reason for most of those libs being needed.  Emacs
> has changed a lot since v20.7 when I looked at this last.

FWIW,

Yes, a lot of these are probably a result of the local configuration.
I usually build a local CVS snapshot of Emacs 22 with:

    ./configure --prefix='/opt/emacs' --with-x --with-x-toolkit=lucid \
        --with-xpm --with-jpeg --with-tiff --with-gif --with-png

This includes *all* the graphics libraries which Emacs can work with in
X11, except for GTK+ widget support.  I haven't been able to track down
a minor bug which causes Emacs to dump core on FreeBSD 7.0-CURRENT when
I enable GTK+ widget support, but the `lucid' toolkit works fine and has
been working for several months now (with the options shown above) :)

- Giorgos



reply via email to

[Prev in Thread] Current Thread [Next in Thread]